package com.link.core.basic.lock;

import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.TYPE, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
public @interface LinkRedisLock {
   LockSourceEnum source() default LockSourceEnum.GENERATED;

   boolean checkStatus() default false;

   String value() default "";

   int expireTime() default 600;

   boolean unLock() default true;
}
